## org.opengis.go.display.event
Interface GraphicKeyEvent

All Superinterfaces:
  GraphicEvent

    public interface GraphicKeyEvent

extends GraphicEvent

Provides a common abstraction for the various event objects pertaining to key events on a `Graphic`.

Method Summary
`KeyEvent` `getKeyEvent()` Returns the `KeyEvent` that this event references.

Methods inherited from interface GraphicEvent
`consume, getGraphic, isConsumed`

Method Detail

### getKeyEvent

    KeyEvent getKeyEvent()

  Returns the `KeyEvent` that this event references.

  Returns:
    the `KeyEvent` referenced by this event.
  TODO:
    This `KeyEvent` implementation is specific to AWT and Swing (i.e. is not used by SWT as far as I know).

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.